/*
 * @(#)LocaleElements_sl.java	1.5 97/02/24
 *
 * (C) Copyright Taligent, Inc. 1996, 1997 - All Rights Reserved
 * (C) Copyright IBM Corp. 1996, 1997 - All Rights Reserved
 *
 * Portions copyright (c) 1996 Sun Microsystems, Inc. All Rights Reserved.
 *
 *   The original version of this source code and documentation is copyrighted
 * and owned by Taligent, Inc., a wholly-owned subsidiary of IBM. These
 * materials are provided under terms of a License Agreement between Taligent
 * and Sun. This technology is protected by multiple US and International
 * patents. This notice and attribution to Taligent may not be removed.
 *   Taligent is a registered trademark of Taligent, Inc.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 *
 */

/**
 *
 * Table of Java supplied standard locale elements
 *
 * automatically generated by java LocaleTool LocaleElements.java
 *
 * Date Created: Wed Aug 21 15:47:57  1996
 *
 *     Locale Elements and Patterns:  last update 10/23/96
 *
 *
 */

// WARNING : the format of this file will change in the future!

package java.text.resources;

public class LocaleElements_sl extends LocaleData {

    public LocaleElements_sl() {
        super.init(table);
    }

    static String table []={
		/* locale id based on iso codes */     "sl_SI",
		/* Windows id */                       "0424",
		/* iso-3 abbrev lang name */           "slo",
		/* iso-3 abbrev country name */        "SIO",
		/* language names */                   "en_Slovene; sl_Sloven\u0161\u010Dina",
		/* country names */                    "en_Slovenia; sl_Slovenija",
		/* january */                          "Januar",
		/* february */                         "Februar",
		/* march */                            "Marec",
		/* april */                            "April",
		/* may */                              "Maj",
		/* june */                             "Junij",
		/* july */                             "Julij",
		/* august */                           "Avgust",
		/* september */                        "September",
		/* october */                          "Oktober",
		/* november */                         "November",
		/* december */                         "December",
		/* month 13 if applicable */           "",
		/* abb january */                      "Jan",
		/* abb february */                     "Feb",
		/* abb march */                        "Mar",
		/* abb april */                        "Apr",
		/* abb may */                          "Maj",
		/* abb june */                         "Jun",
		/* abb july */                         "Jul",
		/* abb august */                       "Avg",
		/* abb september */                    "Sep",
		/* abb october */                      "Okt",
		/* abb november */                     "Nov",
		/* abb december */                     "Dec",
		/* abb month 13 if applicable */       "",
		/* sunday */                           "Nedelja",
		/* monday */                           "Ponedeljek",
		/* tuesday */                          "Torek",
		/* wednesday */                        "Sreda",
		/* thursday */                         "\u010cetrtek",
		/* friday */                           "Petek",
		/* saturday */                         "Sobota",
		/* abb sunday */                       "Ned",
		/* abb monday */                       "Pon",
		/* abb tuesday */                      "Tor",
		/* abb wednesday */                    "Sre",
		/* abb thursday */                     "\u010cet",
		/* abb friday */                       "Pet",
		/* abb saturday */                     "Sob",
		/* am marker; default is AM */         "AM",
		/* pm marker; default is PM */         "PM",
		/* era strings */                      "pr.n.\u0161.;po Kr.",
		/* decimal pattern */                  "#,##0.###;-#,##0.###",
		/* currency pattern */                 "tol #,##0.##;-tol #,##0.##",
		/* percent pattern */                  "#,##0%",
		/* decimal separator */                ",",
		/* group (thousands) separator */      ".",
		/* list separator */                   "",
		/* percent sign */                     "%",
		/* native 0 digit */                   "0",
		/* pattern digit */                    "#",
		/* minus sign */                       "-",
		/* exponential */                      "E",
		/* local currency symbol */            "tol",
		/* intl currency symbol */             "SIT",
		/* monetary decimal separator */       ",",
		/* Full time pattern */                "H:mm:ss z",
		/* Long time pattern */                "H:mm:ss z",
		/* Default time pattern */             "H:mm:ss",
		/* Short time pattern */               "H:mm",
		/* Full date pattern */                "EEEE, yyyy, MMMM d",
		/* Long date pattern */                "yyyy, MMMM d",
		/* Default date pattern */             "yyyy.M.d",
		/* Short date pattern */               "y.M.d",
		/* Date-Time pattern*/                 "{1} {0}",
		/* first day of week */                "1",
		/* min days in first week */           "1",
		/* for sl_SI, default sorting except for the following: */

		/* add d<stroke> between d and e. */
		/* add l<stroke> between l and m. */
		/* add nj "ligature" between n and o. */
		/* add z<abovedot> after z.       */
		"& D < \u0111, \u0110"                     /* d<stroke>   */
		+"& L < \u0142, \u0141"                    /* l<stroke>   */
		+"& N < nj, Nj, nJ, NJ"                    /* nj ligature */
		+"& Z < \u017c, \u017b"                    /* z<abovedot> */
    };
}
