/*
 * @(#)LocaleElements_tr.java	1.5 97/03/03
 *
 * (C) Copyright Taligent, Inc. 1996, 1997 - All Rights Reserved
 * (C) Copyright IBM Corp. 1996, 1997 - All Rights Reserved
 *
 * Portions copyright (c) 1996 Sun Microsystems, Inc. All Rights Reserved.
 *
 *   The original version of this source code and documentation is copyrighted
 * and owned by Taligent, Inc., a wholly-owned subsidiary of IBM. These
 * materials are provided under terms of a License Agreement between Taligent
 * and Sun. This technology is protected by multiple US and International
 * patents. This notice and attribution to Taligent may not be removed.
 *   Taligent is a registered trademark of Taligent, Inc.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 *
 */

/**
 *
 * Table of Java supplied standard locale elements
 *
 * automatically generated by java LocaleTool LocaleElements.java
 *
 * Date Created: Wed Aug 21 15:47:57  1996
 *
 *     Locale Elements and Patterns:  last update 10/23/96
 *
 *
 */

// WARNING : the format of this file will change in the future!

package java.text.resources;

public class LocaleElements_tr extends LocaleData {

    public LocaleElements_tr() {
        super.init(table);
    }

    static String table []={
        "tr_TR", /*locale id based on iso codes*/
        "041f", /*Windows id*/
        "trk", /*iso-3 abbrev lang name*/
        "TUR", /*iso-3 abbrev country name*/
        "en_Turkish; de_Trkisch; fr_turc; tr_Trke", /*language names*/
        "en_Turkey; de_Trkei; fr_Turquie; tr_Trkiye", /*country names*/
        "Ocak", /*january*/
        "\u015fubat", /*february*/
        "Mart", /*march*/
        "Nisan", /*april*/
        "May\u0131s", /*may*/
        "Haziran", /*june*/
        "Temmuz", /*july*/
        "A\u011fustos", /*august*/
        "Eyll", /*september*/
        "Ekim", /*october*/
        "Kas\u0131m", /*november*/
        "Aral\u0131k", /*december*/
        "", /*month 13 if applicable*/
        "Oca", /*abb january*/
        "\u015fub", /*abb february*/
        "Mar", /*abb march*/
        "Nis", /*abb april*/
        "May", /*abb may*/
        "Haz", /*abb june*/
        "Tem", /*abb july*/
        "A\u011fu", /*abb august*/
        "Eyl", /*abb september*/
        "Eki", /*abb october*/
        "Kas", /*abb november*/
        "Ara", /*abb december*/
        "", /*abb month 13 if applicable*/
        "Pazar", /*Sunday*/
        "Pazartesi", /*Monday*/
        "Sal\u0131", /*Tuesday*/
        "ar\u015famba", /*Wednesday*/
        "Per\u015fembe", /*Thursday*/
        "Cuma", /*Friday*/
        "Cumartesi", /*Saturday*/
        "pzr.", /*abb Sunday*/
        "pzt.", /*abb Monday*/
        "sali", /*abb Tuesday*/
        "\u00e7ars.", /*abb Wednesday*/
        "pers.", /*abb Thursday*/
        "cuma", /*abb Friday*/
        "ctsi.", /*abb Saturday*/
        "AM", /*am marker*/
        "PM", /*pm marker*/
        "BC;AD", /*era strings*/
        "#,##0.###;-#,##0.###", /*decimal pattern*/
        "#,##0.00 TL;-#,##0.00 TL", /*currency pattern*/
        "#,##0%", /*percent pattern*/
        ",", /*decimal separator*/
        ".", /*group (thousands) separator*/
        ";", /*list separator*/
        "%", /*percent sign*/
        "0", /*native 0 digit*/
        "#", /*pattern digit*/
        "-", /*minus sign*/
        "E", /*exponential*/
        "TL", /*local currency symbol*/
        "TRL", /*intl currency symbol*/
        ",", /*monetary decimal separator*/
        "HH:mm:ss z", /*full time pattern*/
        "HH:mm:ss z", /*long time pattern*/
        "HH:mm:ss", /*medium time pattern*/
        "HH:mm", /*short time pattern*/
        "dd MMMM yyyy EEEE", /*full date pattern*/
        "dd MMMM yyyy EEEE", /*long date pattern*/
        "dd.MMM.yyyy", /*medium date pattern*/
        "dd.MM.yyyy", /*short date pattern*/
        "{1} {0}", /*date-time pattern*/
        "2", /*first day of week*/
        "1", /*min days in first week*/
        "& A < a\u0308, A\u0308 " +        // a-umlaut is between a and b
        "& O < o\u0308, O\u0308 " +        // o-umlaut is between o and p
        "& U < u\u0308, U\u0308 " +        // u-umlaut is between u and v
        "& G < g\u0306, G\u0306 " +        // g-breve is between g and h
        "& S < s\u0327, S\u0327 " +        // s-cedilla is between s and t
        "& H < \u0131, \u0130 "            // i-dotless and I-dot sort b4 i
    };
}
